Bug 38961 - "Scan Directory for Suggestions" does not work - needs to run in EQ
"Scan Directory for Suggestions" does not work - needs to run in EQ
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Hints & Annotations
3.x
PC Linux
: P2 (vote)
: 3.x
Assigned To: tasklist-issues@contrib
tasklist-issues@contrib
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-17 22:22 UTC by Jesse Glick
Modified: 2004-03-02 08:48 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
ide.log excerpt (106.29 KB, text/plain)
2004-01-17 22:24 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2004-01-17 22:22:22 UTC
See stack traces and warning message from ide.log.
Comment 1 Jesse Glick 2004-01-17 22:24:07 UTC
Created attachment 12953 [details]
ide.log excerpt
Comment 2 Jesse Glick 2004-01-17 22:25:21 UTC
Should just need to add to ScanSuggestionsAction:

protected boolean asynchronous() {
    return false;
}

and if it is doing anything slow in performAction() (i.e. not GUI
work) replan that to e.g. RequestProcessor.default.
Comment 3 Jesse Glick 2004-01-17 22:26:32 UTC
BTW module versions, freshest from AU:

org.netbeans.modules.suggestions_framework/2 [1.1.112 2]
org.netbeans.modules.tasklist.suggestions/2 [1.19.1121
@tl.suggetions_ui.impl@]

Looks like you need to publish a new tasklist.suggestions after
correcting its manifest typo.
Comment 4 _ pkuzel 2004-01-26 17:56:56 UTC
fixed
Comment 5 Jesse Glick 2004-01-26 18:18:39 UTC
Milestone please!
Comment 6 Milan Kubec 2004-03-02 08:48:10 UTC
Please, reporter, could you verify fixed issues. Thanks a lot.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo